# Visualization
TKV3d
DsgPrs

# DsgPrs_EqualRadiusPresentation Class Reference

A framework to define display of equality in radii.
.

`#include <DsgPrs_EqualRadiusPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &FirstCenter, const gp_Pnt &SecondCenter, const gp_Pnt &FirstPoint, const gp_Pnt &SecondPoint, const Handle(Geom_Plane)&Plane)
| Adds the points FirstCenter, SecondCenter, FirstPoint, SecondPoint, and the plane Plane to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. FirstCenter and SecondCenter are the centers of the first and second shapes respectively, and FirstPoint and SecondPoint are the attachment points of the radii to arcs. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_EqualRadiusPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | FirstCenter,
|  | const gp_Pnt & | SecondCenter,
|  | const gp_Pnt & | FirstPoint,
|  | const gp_Pnt & | SecondPoint,
|  | const Handle(Geom_Plane)& | Plane
| ) | `[static]`

void DsgPrs_EqualRadiusPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_EqualRadiusPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_EqualRadiusPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_EqualRadiusPresentation.hxx